import * as React from 'react';
import { Feature } from '@common-stack/client-react';
import { Files, /** Editors */ } from '@files-stack/client-react';
import { reducers, setRootPath, filesModule } from '@files-stack/client-state';
import {
    resolvers, defaults, editorResolvers, filesTreeResolvers, schema, dataIdFromObject,
    modelContentChangeEpic, modelSaveEpic, editorSchema, filesTreeSchema,
} from '@files-stack/client-state';
import { merge } from 'lodash';

const actionFunctions = [setRootPath];

export default new Feature({
    leftMainPanelItems: { files: <Files /> },
    middleMainPanelItems: { editors: <div>ToDO</div>  }, // <Editor/>
    middleMainPanelItemsProps: { editors: { actionFunctions } },
    reducer: { ...reducers },
    createContainerFunc: filesModule,
    clientStateParams: [{ resolvers: merge(resolvers, editorResolvers, filesTreeResolvers), defaults, 
        typeDefs: [schema, editorSchema, filesTreeSchema] }],
    dataIdFromObject,
    epic: [modelContentChangeEpic, modelSaveEpic],
});
